List customer group prices
Lists product variant prices for one customer group with pagination.
GET
/api/v2/{team_slug}/{app_slug}/customer-groups/{customer_group_id}/pricesAuthorization
AuthorizationBearer token · headerrequiredManagement API token, sent as Authorization: Bearer <token>.
Path parameters
team_slugstringrequiredapp_slugstringrequiredcustomer_group_idstring<uuid>requiredQuery parameters
pageintegerper-pageintegermarket-idstring[]Repeatable market id
variant-idstring[]Repeatable variant id
Responses
200
OK
dataCustomerGroupProductVariantPrice[]requiredShow propertiesHide properties
Array of
CustomerGroupProductVariantPriceidUUIDrequiredcustomer_groupCustomerGroupRefrequiredShow propertiesHide properties
idUUIDrequiredslugstringrequirednamestringrequiredmarketCustomerGroupPriceMarketrequiredShow propertiesHide properties
idUUIDrequiredslugstringrequirednamestringrequiredproduct_variantCustomerGroupPriceVariantRefrequiredShow propertiesHide properties
idUUIDrequiredvariant_namestringrequiredprice_amountintegerrequiredcreated_atstring<date-time>requiredupdated_atstring<date-time>requiredtotal_pagesintegerrequiredtotal_itemsintegerrequired400
Request-level failure
errorErrorBodyrequiredShow propertiesHide properties
messagestringrequireddetailsstring[]required401
Request-level failure
errorErrorBodyrequiredShow propertiesHide properties
messagestringrequireddetailsstring[]required403
Request-level failure
errorErrorBodyrequiredShow propertiesHide properties
messagestringrequireddetailsstring[]required500
Request-level failure
errorErrorBodyrequiredShow propertiesHide properties
messagestringrequireddetailsstring[]required